USE OndraS
GO

									---------------------------------------------------------------
									-------------------------- IVOTOPIS --------------------------
									---------------------------------------------------------------


----------------------------------------------------------------------------------------------------------------------------     Osobn informace
CREATE PROCEDURE MY_ziv
@ID_in INT
AS
BEGIN
	IF (SELECT Zamestnanci.jmeno FROM Zamestnanci WHERE osobni_c=@ID_in) is NULL
	PRINT ('Uivatel nenalezen')
	ELSE
	BEGIN
		DECLARE @jmeno VARCHAR (20) = (SELECT Zamestnanci.jmeno FROM Zamestnanci WHERE osobni_c=@ID_in)
		DECLARE @prijmeni VARCHAR (20) = (SELECT Zamestnanci.prijmeni FROM Zamestnanci WHERE osobni_c=@ID_in)
		DECLARE @titulp VARCHAR (100) = (SELECT [Titul pred] pred FROM poh_Zamestnanci WHERE osobni_c=@ID_in)
		DECLARE @titulz VARCHAR (100) = (SELECT [Titul za] FROM poh_Zamestnanci WHERE osobni_c=@ID_in)
		PRINT ('1. Osobn informace')
		PRINT ('   osobn slo: ')
			+' '+convert(varchar(10),@ID_in)
		PRINT ('   Jmenovka: ')
			+' '+COALESCE(@titulp,'')
			+' '+@jmeno
			+' '+@prijmeni
			+' '+COALESCE(@titulz,'')
			
		IF (SELECT TOP 1 PSC FROM Bydliste WHERE ID_zamest=@ID_in) is NOT NULL
		BEGIN
			PRINT ('   Bydlit: ')
			DECLARE kurzor_bydliste
				cursor for SELECT 
					B.cp, B.ulice, M.nazev FROM Bydliste B
					INNER JOIN Mesta M
					ON M.PSC=B.PSC
					WHERE B.ID_zamest=@ID_in
				declare @cp VARCHAR (12)
				declare @ulice VARCHAR (50)
				declare @nazev VARCHAR (45)
				open kurzor_bydliste
				fetch kurzor_bydliste
				into @cp, @ulice, @nazev
				while @@FETCH_STATUS = 0
				begin
					PRINT +'      '+@ulice
						+' '+@cp
						+' '+@nazev
					fetch kurzor_bydliste
					into @cp, @ulice, @nazev
				end
				close kurzor_bydliste
			deallocate kurzor_bydliste
		END
		
		DECLARE @email VARCHAR (50) = (SELECT Zamestnanci.email FROM Zamestnanci WHERE osobni_c=@ID_in)
		IF @email is NOT NULL
		BEGIN
			PRINT('   Email: ')
				+' '+@email
		END
		
		IF (SELECT TOP 1 ID_zamest FROM Telefony WHERE ID_zamest=@ID_in) is NOT NULL
		BEGIN	
			DECLARE kurzor_telefony
			cursor for 	SELECT TOP 5 Zeme.tel_predvolba+' '+SUBSTRING(Tel.cislo,1,3)+' '+SUBSTRING(Tel.cislo,4,3)+' '+SUBSTRING(Tel.cislo,7,3) AS 'telefonn slo', Tel.ucel AS 'el'
					FROM Telefony Tel
					INNER JOIN Zamestnanci Zam
					ON Zam.osobni_c=Tel.ID_zamest
					INNER JOIN Zeme
					ON Zeme.zkratka=Tel.zeme
					WHERE Zam.osobni_c=@ID_in
				declare @tel VARCHAR (16)
				declare @ucel VARCHAR (20)
				declare @poradi INT=1
				open kurzor_telefony
				fetch kurzor_telefony
				into @tel, @ucel
				while @@FETCH_STATUS = 0
				begin
					If @poradi=1
						Begin
							PRINT +'   Telefon:  '+@tel
								+' '+COALESCE(@ucel,'')
							SET @poradi=@poradi+1
							fetch kurzor_telefony
							into @tel, @ucel
						end
						else
						begin
								PRINT +'   Telefon'+CONVERT(varchar(2),@poradi)+': '+@tel
									+' '+COALESCE(@ucel,'')
								SET @poradi=@poradi+1
								fetch kurzor_telefony
								into @tel, @ucel
						end
				end
				close kurzor_telefony
			deallocate kurzor_telefony
		END
		
		PRINT('')
	END

----------------------------------------------------------------------------------------------------------------------------     Pedagogick innost
	IF (SELECT TOP 1 ID_zamest FROM Ped_zkus WHERE ID_zamest=@ID_in) is NOT NULL
	BEGIN
	PRINT('2. pedagogick innost')
	PRINT +'   '+'obor         '+'od   '+'do   '+'Univerzita                                                             '+'funkce                         '+'typ'
		DECLARE kurzor_ped_zkus
			cursor for 	SELECT ob.nazev AS 'obor', YEAR(pz.od) AS 'od', YEAR(pz.do) AS 'do', eo.nazev AS 'misto',
						fu.nazev AS 'funkce' ,ts.nazev AS 'typ studia', pz.napln
					FROM Ped_zkus pz
					LEFT JOIN Ext_organizace eo
					ON eo.ID_org=pz.misto
					INNER JOIN Funkce fu
					ON fu.ID=pz.funkce
					LEFT JOIN Obory ob
					ON ob.kod=pz.obor AND ob.kod2=pz.obor2
					INNER JOIN Typy_studia ts
					ON ts.ID=pz.typ_studia
					WHERE pz.ID_zamest=@ID_in
					ORDER BY ob.nazev,pz.od
				declare @obor VARCHAR (55)
				declare @od CHAR (4)
				declare @do CHAR (4)
				declare @eo CHAR (70)
				declare @funkce CHAR (30)
				declare @studium CHAR (33)
				declare @napln VARCHAR(100)
				open kurzor_ped_zkus
				fetch kurzor_ped_zkus
				into @obor, @od, @do, @eo, @funkce, @studium, @napln
				while @@FETCH_STATUS = 0
				begin
					PRINT +'   '+@obor
						+' '+@od
						+' '+@do
						+' '+@eo
						+' '+@funkce
						+' '+COALESCE(@studium,'')
						+' '+COALESCE(@napln,'')
					fetch kurzor_ped_zkus
					into @obor, @od, @do, @eo, @funkce, @studium, @napln
				end
				close kurzor_ped_zkus
			deallocate kurzor_ped_zkus
	PRINT('')
	END

----------------------------------------------------------------------------------------------------------------------------     Pracovn zkuenosti
	IF (SELECT TOP 1 ID_zamest FROM Prac_zkus WHERE ID_zamest=@ID_in) is NOT NULL
	BEGIN
		PRINT('3. Pracovn zkuenosti')
		PRINT +'      '+'od   '+'do   '+'msto                                                                  '+'pozice'
		DECLARE kurzor_prac_zkus
			cursor for 	SELECT YEAR(pz.od) AS 'od', YEAR(pz.do) AS 'do', eo.nazev AS 'misto',pp.nazev AS 'pozice' FROM Prac_zkus pz
					LEFT JOIN Ext_organizace eo
					ON eo.ID_org=pz.misto
					INNER JOIN Prac_pozice pp
					ON pp.ID=pz.pozice
					WHERE pz.ID_zamest=@id_in
					ORDER BY pz.od
				declare @od2 CHAR (4)
				declare @do2 CHAR (4)
				declare @eo2 CHAR (70)
				declare @pozice CHAR (30)
				open kurzor_prac_zkus
				fetch kurzor_prac_zkus
				into @od2, @do2, @eo2, @pozice
				while @@FETCH_STATUS = 0
				begin
					PRINT +'      '+@od2
						+' '+COALESCE(@do2,'****')
						+' '+@eo2
						+' '+@pozice
					fetch kurzor_prac_zkus
					into @od2, @do2, @eo2, @pozice
				end
				close kurzor_prac_zkus
			deallocate kurzor_prac_zkus
	PRINT('')
	END
END
GO


EXEC MY_ziv @ID_in=222


USE master
GO
